javax.servlet

## Interface ServletRegistration.Dynamic

- All Superinterfaces:
    Registration, Registration.Dynamic, ServletRegistration
  Enclosing interface:
    ServletRegistration

      public static interface ServletRegistration.Dynamic
      extends ServletRegistration, Registration.Dynamic

  Interface through which a Servlet registered via one of the addServlet methods on ServletContext may be further configured.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface javax.servlet.ServletRegistration

      `ServletRegistration.Dynamic`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setLoadOnStartup(int loadOnStartup)` Set the loadOnStartup order for the Servlet
    `void` | `setMultipartConfig(MultipartConfigElement multipartConfig)` Set the multi-part configuration for the associated Servlet.
    `void` | `setRunAsRole(java.lang.String roleName)` Set the name of the user / group under which the Servlet should be configured to run.
    `java.util.Set<java.lang.String>` | `setServletSecurity(ServletSecurityElement constraint)` Add security constraints to this Servlet.

    - ### Methods inherited from interface javax.servlet.ServletRegistration

      `addMapping, getMappings, getRunAsRole`

    - ### Methods inherited from interface javax.servlet.Registration.Dynamic

      `setAsyncSupported`

    - ### Methods inherited from interface javax.servlet.Registration

      `getClassName, getInitParameter, getInitParameters, getName, setInitParameter, setInitParameters`

- - ### Method Detail

    - #### setLoadOnStartup

          void setLoadOnStartup(int loadOnStartup)

      Set the loadOnStartup order for the Servlet
      Parameters:
        `loadOnStartup` - The position in the order the Servlet should be started (higher numbers are started after lower numbers)

    - #### setServletSecurity

          java.util.Set<java.lang.String> setServletSecurity(ServletSecurityElement constraint)

      Add security constraints to this Servlet.
      Parameters:
        `constraint` - new security constraints for this Servlet
      Returns:
        urls currently mapped to this registration that are already present in web.xml

    - #### setMultipartConfig

          void setMultipartConfig(MultipartConfigElement multipartConfig)

      Set the multi-part configuration for the associated Servlet. To clear the multi-part configuration specify `null` as the new value.
      Parameters:
        `multipartConfig` - The configuration to associate with the Servlet

    - #### setRunAsRole

          void setRunAsRole(java.lang.String roleName)

      Set the name of the user / group under which the Servlet should be configured to run.
      Parameters:
        `roleName` - name of the user / group or `null` if none

Copyright © 2000-2022 Apache Software Foundation. All Rights Reserved.